/*
Dataddo Headless BETA API

Dataddo Headless BETA API

API version: 1.0.0-beta.1
*/

// Code generated by OpenAPI Generator (https://openapi-generator.tech); DO NOT EDIT.

package customer_api

import (
	"encoding/json"
)

// checks if the AppDestinationEmailEmailDestinationActionAttachmentFormatsRequest type satisfies the MappedNullable interface at compile time
var _ MappedNullable = &AppDestinationEmailEmailDestinationActionAttachmentFormatsRequest{}

// AppDestinationEmailEmailDestinationActionAttachmentFormatsRequest struct for AppDestinationEmailEmailDestinationActionAttachmentFormatsRequest
type AppDestinationEmailEmailDestinationActionAttachmentFormatsRequest struct {
	AttachmentFormat *string `json:"attachmentFormat,omitempty"`
}

// NewAppDestinationEmailEmailDestinationActionAttachmentFormatsRequest instantiates a new AppDestinationEmailEmailDestinationActionAttachmentFormatsRequest object
// This constructor will assign default values to properties that have it defined,
// and makes sure properties required by API are set, but the set of arguments
// will change when the set of required properties is changed
func NewAppDestinationEmailEmailDestinationActionAttachmentFormatsRequest() *AppDestinationEmailEmailDestinationActionAttachmentFormatsRequest {
	this := AppDestinationEmailEmailDestinationActionAttachmentFormatsRequest{}
	return &this
}

// NewAppDestinationEmailEmailDestinationActionAttachmentFormatsRequestWithDefaults instantiates a new AppDestinationEmailEmailDestinationActionAttachmentFormatsRequest object
// This constructor will only assign default values to properties that have it defined,
// but it doesn't guarantee that properties required by API are set
func NewAppDestinationEmailEmailDestinationActionAttachmentFormatsRequestWithDefaults() *AppDestinationEmailEmailDestinationActionAttachmentFormatsRequest {
	this := AppDestinationEmailEmailDestinationActionAttachmentFormatsRequest{}
	return &this
}

// GetAttachmentFormat returns the AttachmentFormat field value if set, zero value otherwise.
func (o *AppDestinationEmailEmailDestinationActionAttachmentFormatsRequest) GetAttachmentFormat() string {
	if o == nil || IsNil(o.AttachmentFormat) {
		var ret string
		return ret
	}
	return *o.AttachmentFormat
}

// GetAttachmentFormatOk returns a tuple with the AttachmentFormat field value if set, nil otherwise
// and a boolean to check if the value has been set.
func (o *AppDestinationEmailEmailDestinationActionAttachmentFormatsRequest) GetAttachmentFormatOk() (*string, bool) {
	if o == nil || IsNil(o.AttachmentFormat) {
		return nil, false
	}
	return o.AttachmentFormat, true
}

// HasAttachmentFormat returns a boolean if a field has been set.
func (o *AppDestinationEmailEmailDestinationActionAttachmentFormatsRequest) HasAttachmentFormat() bool {
	if o != nil && !IsNil(o.AttachmentFormat) {
		return true
	}

	return false
}

// SetAttachmentFormat gets a reference to the given string and assigns it to the AttachmentFormat field.
func (o *AppDestinationEmailEmailDestinationActionAttachmentFormatsRequest) SetAttachmentFormat(v string) {
	o.AttachmentFormat = &v
}

func (o AppDestinationEmailEmailDestinationActionAttachmentFormatsRequest) MarshalJSON() ([]byte, error) {
	toSerialize, err := o.ToMap()
	if err != nil {
		return []byte{}, err
	}
	return json.Marshal(toSerialize)
}

func (o AppDestinationEmailEmailDestinationActionAttachmentFormatsRequest) ToMap() (map[string]interface{}, error) {
	toSerialize := map[string]interface{}{}
	if !IsNil(o.AttachmentFormat) {
		toSerialize["attachmentFormat"] = o.AttachmentFormat
	}
	return toSerialize, nil
}

type NullableAppDestinationEmailEmailDestinationActionAttachmentFormatsRequest struct {
	value *AppDestinationEmailEmailDestinationActionAttachmentFormatsRequest
	isSet bool
}

func (v NullableAppDestinationEmailEmailDestinationActionAttachmentFormatsRequest) Get() *AppDestinationEmailEmailDestinationActionAttachmentFormatsRequest {
	return v.value
}

func (v *NullableAppDestinationEmailEmailDestinationActionAttachmentFormatsRequest) Set(val *AppDestinationEmailEmailDestinationActionAttachmentFormatsRequest) {
	v.value = val
	v.isSet = true
}

func (v NullableAppDestinationEmailEmailDestinationActionAttachmentFormatsRequest) IsSet() bool {
	return v.isSet
}

func (v *NullableAppDestinationEmailEmailDestinationActionAttachmentFormatsRequest) Unset() {
	v.value = nil
	v.isSet = false
}

func NewNullableAppDestinationEmailEmailDestinationActionAttachmentFormatsRequest(val *AppDestinationEmailEmailDestinationActionAttachmentFormatsRequest) *NullableAppDestinationEmailEmailDestinationActionAttachmentFormatsRequest {
	return &NullableAppDestinationEmailEmailDestinationActionAttachmentFormatsRequest{value: val, isSet: true}
}

func (v NullableAppDestinationEmailEmailDestinationActionAttachmentFormatsRequest) MarshalJSON() ([]byte, error) {
	return json.Marshal(v.value)
}

func (v *NullableAppDestinationEmailEmailDestinationActionAttachmentFormatsRequest) UnmarshalJSON(src []byte) error {
	v.isSet = true
	return json.Unmarshal(src, &v.value)
}
